Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Interface GraphOutput

All Superinterfaces:
  PersistenceOutput

All Known Implementing Classes:
  XMLGraphWriter

    public interface GraphOutput

extends PersistenceOutput

Method Summary
`void` | `beginExtent(GraphManager manager, int rootCount)`
`void` | `beginNode(Node node, Edge edge)`
`void` | `beginRoot(java.lang.String name)`
`void` | `endExtent()`
`void` | `endNode(Node node)`
`void` | `endRoot(java.lang.String name)`

Methods inherited from interface de.grogra.persistence.PersistenceOutput
`beginArray, beginField, beginFields, beginManaged, endArray, endField, endFields, endManaged, setNested, writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeName, writeNullObject, writeObject, writePersistentObjectReference, writeSharedObjectReference, writeShort, writeString, writeStringObject`

Method Detail

### beginExtent

    void beginExtent(GraphManager manager,
                     int rootCount)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginNode

    void beginNode(Node node,
                   Edge edge)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginRoot

    void beginRoot(java.lang.String name)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### endExtent

    void endExtent()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### endNode

    void endNode(Node node)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### endRoot

    void endRoot(java.lang.String name)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD